Ottieni l'oggetto File tramite ID
curl --request GET \
--url https://api.olostep.com/v1/files/{file_id}/content \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.olostep.com/v1/files/{file_id}/content"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.olostep.com/v1/files/{file_id}/content', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"object": "<string>",
"created": 123,
"filename": "<string>",
"bytes": 123,
"download_url": "<string>",
"expires_in": 123
}File
Ottieni Contenuto del File
Scarica il contenuto di un file completato. Restituisce il contenuto del file JSON.
GET
/
v1
/
files
/
{file_id}
/
content
Ottieni l'oggetto File tramite ID
Autorizzazioni
Intestazione di autenticazione Bearer del tipo Bearer , dove è il tuo token di autenticazione.
Parametri del percorso
Identificatore univoco per il file da scaricare.
Parametri della query
Numero di secondi fino alla scadenza dell'URL di download. Predefinito a 600 secondi (10 minuti).
Risposta
Risposta positiva con URL di download.
ID del File
Il tipo di oggetto. "file" per questo endpoint.
Timestamp epoch creato
Il nome del file caricato
Dimensione del file in byte
URL pre-firmato per scaricare il file. Scade dopo il tempo specificato in expires_in.
Numero di secondi fino alla scadenza dell'URL di download
Questa pagina è stata utile?